# Set or update note for a user

Creates or updates a personal note about another user. These notes are private and only visible to the authenticated user who created them.

Endpoint: PUT /api/v1/notes
Version: 1.0
Security: header

## Request fields (application/json):

  - `userId` (string, required)
    User id to set note for
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `text` (string, required)
    Note text

## Response 200 fields (application/json):

  - `ownerId` (string, required)
    UUID with type prefix
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `userId` (string, required)
    UUID with type prefix
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `text` (string, required)

## Response 400 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 401 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 404 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 500 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation


